Subject: bug#18013: 24.3.92; Infloop in re_search_2

From: Nicolas Richard <[email-masked]>
Date: Mon, 14 Jul 2014 12:15:26 +0200

Andreas Schwab <[email-masked]> writes:

> Nicolas Richard <[email-masked]> writes:
>
>> I'll admit that (looking-back "[^\n]") is not exactly the canonical way
>> to test for (not (bolp)), but should it make an infloop ? I can't
>> reproduce though.
>
> I don't think it infloops, it just takes a very long time.  Since this
> is running in a process filter interrupts are disabled, so you have to
> be extra careful with what you do here.

Thanks, I'll let it run more and see if it comes back to life (it should
be faster since the connection certainly died meanwhile).

-- 
Nico.